ICEUDP Class Reference

`#include <jingleiceudp.h>`

Inheritance diagram for ICEUDP:
[legend]

## Classes

struct | Candidate

## Public Types

enum | Type { Host , PeerReflexive , Relayed , ServerReflexive }
typedef std::list< Candidate > | CandidateList

## Public Member Functions

| ICEUDP (const std::string &pwd, const std::string &ufrag, CandidateList &candidates)
| ICEUDP (const Tag *tag=0)
virtual | ~ICEUDP ()
const std::string & | pwd () const
const std::string & | ufrag () const
const CandidateList & | candidates () const
virtual const StringList | features () const
virtual const std::string & | filterString () const
virtual Tag * | tag () const
virtual Plugin * | newInstance (const Tag *tag) const
virtual Plugin * | clone () const
Public Member Functions inherited from Plugin
| Plugin (JinglePluginType type)
virtual | ~Plugin ()
void | addPlugin (const Plugin *plugin)
const Plugin * | findPlugin (int type) const
template<class T>
const T * | findPlugin (int type) const
const PluginList & | plugins () const
JinglePluginType | pluginType () const

## Detailed Description

An abstraction of the signaling part of Jingle ICE-UDP Transport Method (XEP-0176).

XEP Version: 1.0

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0.7

Definition at line 38 of file jingleiceudp.h.

## Member Typedef Documentation

## CandidateList

typedef std::list<Candidate> CandidateList

A list of transport candidates.

Definition at line 73 of file jingleiceudp.h.

## Member Enumeration Documentation

## Type

enum Type

Describes the candidate type.

Enumerator
Host | A host candidate.
PeerReflexive | A peer reflexive candidate.
Relayed | A relayed candidate.
ServerReflexive | A server reflexive candidate.

Definition at line 44 of file jingleiceudp.h.

## Constructor & Destructor Documentation

## ICEUDP() [1/2]

ICEUDP | ( | const std::string & | pwd,
|  | const std::string & | ufrag,
|  | CandidateList & | candidates )

Constructs a new instance.

Parameters

  pwd | The `pwd` value.
  ufrag | The `ufrag` value.
  candidates | A list of connection candidates.

Definition at line 32 of file jingleiceudp.cpp.

## ICEUDP() [2/2]

ICEUDP | ( | const Tag * | tag = 0 | ) |

Constructs a new instance from the given tag.

Parameters

  tag | The Tag to parse.

Definition at line 37 of file jingleiceudp.cpp.

## ~ICEUDP()

virtual ~ICEUDP | ( |  | ) |

inline virtual

Virtual destructor.

Definition at line 92 of file jingleiceudp.h.

## Member Function Documentation

## candidates()

const CandidateList & candidates | ( |  | ) | const

inline

Returns the list of connection candidates.

Returns
  The list of connection candidates.

Definition at line 110 of file jingleiceudp.h.

## clone()

virtual Plugin * clone | ( |  | ) | const

inline virtual

Creates an identical deep copy of the current instance.

Returns
  An identical deep copy of the current instance.

Implements Plugin.

Definition at line 125 of file jingleiceudp.h.

## features()

const StringList features | ( |  | ) | const

virtual

Reimplement this function if your plugin wants to add anything to the list of features announced via Disco.

Returns
  A list of additional feature strings.

Reimplemented from Plugin.

Definition at line 66 of file jingleiceudp.cpp.

## filterString()

const std::string & filterString | ( |  | ) | const

virtual

Returns an XPath expression that describes a path to child elements of a jingle element that the plugin handles. The result should be a single Tag.

Returns
  The plugin's filter string.

Implements Plugin.

Definition at line 73 of file jingleiceudp.cpp.

## newInstance()

Plugin * newInstance | ( | const Tag * | tag | ) | const

virtual

Returns a new instance of the same plugin type, based on the Tag provided.

Parameters

  tag | The Tag to parse and create a new instance from.

Returns
  The new plugin instance.

Implements Plugin.

Definition at line 79 of file jingleiceudp.cpp.

## pwd()

const std::string & pwd | ( |  | ) | const

inline

Returns the `pwd` value.

Returns
  The `pwd` value.

Definition at line 98 of file jingleiceudp.h.

## tag()

Tag * tag | ( |  | ) | const

virtual

Returns a Tag representation of the plugin.

Returns
  A Tag representation of the plugin.

Implements Plugin.

Definition at line 84 of file jingleiceudp.cpp.

## ufrag()

const std::string & ufrag | ( |  | ) | const

inline

Returns the `ufrag` value.

Returns
  The `ufrag` value.

Definition at line 104 of file jingleiceudp.h.

The documentation for this class was generated from the following files:

- jingleiceudp.h
- jingleiceudp.cpp